#!/bin/bash

RUN=${0%/*}/
LANG=$2
SOURCE=$1
SVG_DIR=$SOURCE
OUTPUT="cover.png"

# Build languages.
if [ $LANG ]; then
  PO_FILE="po/$LANG.po"
  # Refuse to generate a lnag that doesn't exist
  if [ ! -f $PO_FILE ]; then
    echo "Can't find language $LANG in $PO_FILE."
    exit 1
  fi
  # Make sure our build files are language specific
  SVG_DIR="$SOURCE$LANG/"
  ${RUN}make-lang.sh $SVG_DIR $PO_FILE $SOURCE
  if [ ! -d $SVG_DIR ]; then
    echo "[ERROR] $SVG_DIR"
    exit 1
  fi
  OUTPUT="cover.$LANG.png"
fi

FILE=`ls ${SVG_DIR}00-*.svg`
if [ -f $FILE ]; then
  TMP=${SOURCE}tmp.png
  inkscape -e $TMP $FILE &> .build_log
  echo "[BUILD] $OUTPUT"
  convert -resize 200x200 $TMP $OUTPUT
  rm $TMP
fi

